﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Newtonsoft.Json;
using System.IO;

namespace Galaga
{
    public partial class Imie : Form
    {
        int score = 0;
        public Imie(int _score)
        {
            InitializeComponent();
            score = _score;
        }

        private void AddToScores(object sender, EventArgs e)
        {
            try
            {
                string path = @"wyniki.json";
                TextWriter textWriter = new StreamWriter(path, append: true);
                Score vals = new Score(ImieBox1.Text, score);
                string jsonConverted = JsonConvert.SerializeObject(vals);
                textWriter.WriteLine(jsonConverted);
                textWriter.Close();
            }
            catch(IOException ex)
            {
                MessageBox.Show(ex.ToString());
            }
            finally
            {
                this.Close();
            }
        }

        private void WcisnietoEnter(object sender, KeyEventArgs e)
        {
            if(e.KeyCode == Keys.Enter)
                AddToScores(sender, e);
        }
    }
}
