﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using Newtonsoft.Json;

namespace Galaga
{
    public partial class Scores : Form
    {
        public Scores()
        {
            InitializeComponent();
        }

        private void Scores_FormClosed(object sender, FormClosedEventArgs e)
        {
            Application.OpenForms[0].Show();
        }

        private void Scores_Load(object sender, EventArgs e)
        {
            string path = @"wyniki.json";
            if(File.Exists(path))
            {

                string[] lines = File.ReadAllLines(path);
                foreach(string line in lines)
                {
                    Score score = JsonConvert.DeserializeObject<Score>(line);
                    string[] scoreToString = { score.scoreN.ToString(), score.name };
                    ListViewItem listViewItem = new ListViewItem(scoreToString);
                    ScoresListView.Items.Add(listViewItem);
                }
            }
        }
    }
}
